import { Renderer } from 'amis';
import { RendererProps } from 'amis';
import React, { useEffect } from 'react';
import { Tree } from 'antd';
import type { TreeDataNode, TreeProps } from 'antd';
import { action } from 'mobx';

export interface AntdTreeProps extends RendererProps {
    target?: string;
    title1?: string;
}

@Renderer({
    test: /\bantd-tree$/,
    name: 'antd-tree'
})
export default class AntdTreeRenderer extends React.Component<AntdTreeProps> {
    static defaultProps = {
        target: 'world1111',
    };

    async componentDidMount() {
        const { dispatchEvent, data, env } = this.props;

       
    }



    render() {
        const { target, dispatchEvent,data } = this.props;
      

        const treeData: TreeDataNode[] = [
            {
                title: 'parent 1',
                key: '0-0',
                children: [
                    {
                        title: 'parent 1-0',
                        key: '0-0-0',
                        disabled: true,
                        children: [
                            {
                                title: 'leaf',
                                key: '0-0-0-0',
                                disableCheckbox: true,
                            },
                            {
                                title: 'leaf',
                                key: '0-0-0-1',
                            },
                        ],
                    },
                    {
                        title: 'parent 1-1',
                        key: '0-0-1',
                        children: [{ title: <span style={{ color: '#1677ff' }}>sss</span>, key: '0-0-1-0' }],
                    },
                ],
            },
        ];
        const onSelect: TreeProps['onSelect'] = (selectedKeys, info) => {
            // console.log('selected', selectedKeys, info);

        };

        const onCheck: TreeProps['onCheck'] = (checkedKeys, info) => {
            // console.log('onCheck', checkedKeys, info);
            
            dispatchEvent('ddd', checkedKeys, this)

        };

        return <Tree
            checkable
            defaultExpandedKeys={['0-0-0', '0-0-1']}
            defaultSelectedKeys={['0-0-0', '0-0-1']}
            defaultCheckedKeys={['0-0-0', '0-0-1']}
            onSelect={onSelect}
            onCheck={onCheck}
            treeData={treeData}
        />

    }
}
